(defpackage :cl-utilities
  (:use :common-lisp :split-sequence)
  (:export #:split-sequence
	   #:split-sequence-if
	   #:split-sequence-if-not
	   #:partition
	   #:partition-if
	   #:partition-if-not
	   
	   #:extremum
	   #:no-extremum
	   #:extremum-fastkey
	   
	   #:read-delimited
	   #:read-delimited-bounds-error
	   #:read-delimited-bounds-error-start
	   #:read-delimited-bounds-error-end
	   #:read-delimited-bounds-error-sequence
	   
	   #:expt-mod
	   
	   #:collecting
	   #:collect
	   #:with-collect
	   
	   #:with-unique-names
	   #:with-gensyms
	   #:list-binding-not-supported
	   #:list-binding-not-supported-binding

	   #:once-only
	   
	   #:rotate-byte
	   
	   #:copy-array

	   #:compose))