;; -*- Lisp -*-

(defpackage #:cl-utilities-system
  (:use #:common-lisp #:asdf))

(in-package #:cl-utilities-system)

(defsystem cl-utilities
    :author "Maintained by Peter Scott"
    :components ((:file "package")
		 (:file "extremum" :depends-on ("package"
						"with-unique-names"
						"once-only"))
		 (:file "read-delimited" :depends-on ("package"))
		 (:file "expt-mod" :depends-on ("package"))
		 (:file "with-unique-names" :depends-on ("package"))
		 (:file "collecting" :depends-on ("package" "with-unique-names"))
		 (:file "once-only" :depends-on ("package"))
		 (:file "rotate-byte" :depends-on ("package"))
		 (:file "copy-array" :depends-on ("package"))
		 (:file "compose" :depends-on ("package")))
    :depends-on (split-sequence #+sbcl :sb-rotate-byte))